#!/bin/bash

echo "Installing ZEsarUX under /usr ..."

mkdir -p /usr
mkdir -p /usr/bin
mkdir -p /usr/share/zesarux/

COMMONFILES="ACKNOWLEDGEMENTS LICENSE LICENSES_info licenses Changelog TODO* README HISTORY FEATURES INSTALL INSTALLWINDOWS ALTERNATEROMS INCLUDEDTAPES DONATE FAQ *.odt mantransfev3.bin *.rom zxuno.flash tbblue.mmc speech_filters my_soft zesarux.mp3 zesarux.xcf editionnamegame.tap editionnamegame.tap.config bin_sprite_to_c.sh"


cp -a $COMMONFILES /usr/share/zesarux/
cp zesarux /usr/bin/


# Default permissions for files: read only
find /usr/share/zesarux/ -type f -print0| xargs -0 chmod 444

# Speech filters can be run
chmod +x /usr/share/zesarux/speech_filters/*

echo "Install done"

